Get transforms

Auth

Get configuration information for transforms.

Required privileges

Cluster privileges monitor_transform

Path parameters

transform_id union string | string[] optional

Identifier for the transform. It can be a transform identifier or a wildcard expression. You can get information for all transforms by using _all, by specifying * as the <transform_id>, or by omitting the <transform_id>.

Leave it out to use /_transform.

Query parameters

allow_no_match boolean · default: true

Specifies what to do when the request:

  1. Contains wildcard expressions and there are no transforms that match.
  2. Contains the _all string or no identifiers and there are no matches.
  3. Contains wildcard expressions and there are only partial matches.

If this parameter is false, the request returns a 404 status code when there are no matches or only partial matches.

from number · default: 0

Skips the specified number of transforms.

size number · default: 100

Specifies the maximum number of transforms to obtain.

exclude_generated boolean · default: false

Excludes fields that were automatically added when creating the transform. This allows the configuration to be in an acceptable format to be retrieved and then added to another cluster.

Response

application/json
count number required
transforms object[] required
create_time number

The time the transform was created.

create_time_string union oneOf
One of: string or number
description string

Free text description of the transform.

dest object required

The destination for the transform.

index string

The destination index for the transform. The mappings of the destination index are deduced based on the source fields when possible. If alternate mappings are required, use the create index API prior to starting the transform.

pipeline string

The unique identifier for an ingest pipeline.

frequency union oneOf
Values: -1 0
id string required
source object required

The source of the data for the transform.

index union oneOf required

The source indices for the transform. It can be a single index, an index pattern (for example, "my-index-*""), an array of indices (for example, ["my-index-000001", "my-index-000002"]), or an array of index patterns (for example, ["my-index-*", "my-other-index-*"]. For remote indices use the syntax "remote_name:index_name". If any indices are in remote clusters then the master node and at least one transform node must have the remote_cluster_client node role.

One of: string[] or string
query {} Query

A query clause that retrieves a subset of data from the source index.

runtime_mappings object

Definitions of search-time runtime fields that can be used by the transform. For search runtime fields all data nodes, including remote nodes, must be 7.12 or later.

version string

The version of Elasticsearch that existed on the node when the transform was created.

_meta object